Index: src/fillmac.c
diff -Nau src/fillmac.c.orig src/fillmac.c
--- src/fillmac.c.orig	2004-11-02 13:44:05.332518385 +0100
+++ src/fillmac.c	2004-11-02 14:19:17.771423871 +0100
@@ -102,7 +102,7 @@
         }
         return -1;
     }
-#elif defined(SIOCGLIFNUM)
+#elif defined(SIOCGLIFNUM) && !defined(__hpux)
     {
         struct lifconf lifc;
         struct lifnum lifn;
@@ -130,13 +130,13 @@
             return -1;
         }        
         lifr = lifc.lifc_req;
-        while (--lifn.lifn_count > 0) {
+        while (lifn.lifn_count-- > 0) {
             if (strcmp(lifr->lifr_name, interface) == 0) {
                 break;
             }	   
             lifr++;
         }
-        if (lifn.lifn_count <= 0) {
+        if (lifn.lifn_count < 0) {
             logfile(LOG_ERR, _("Interface [%s] not found"), interface);
             ALLOCA_FREE(lifrspace);
             return -1;            
Index: src/ucarp_p.h
diff -Nau src/ucarp_p.h.orig src/ucarp_p.h
--- src/ucarp_p.h.orig	2004-11-02 15:46:51.076457056 +0100
+++ src/ucarp_p.h	2004-11-02 16:06:45.548484801 +0100
@@ -1,7 +1,7 @@
 #ifndef __CARP_P_H__
 #define __CARP_P_H__ 1
 
-static const char *GETOPT_OPTIONS = "i:s:v:p:Pa:hb:k:u:d:r:zf:B";
+static const char *GETOPT_OPTIONS = "";
 
 static struct option long_options[] = {
     { "interface", 1, NULL, 'i' },
Index: src/ucarp.c
diff -Nau src/ucarp.c.orig src/ucarp.c
--- src/ucarp.c.orig	2004-08-28 18:04:05.000000000 +0200
+++ src/ucarp.c	2004-11-02 16:10:59.801007425 +0100
@@ -23,21 +23,21 @@
 {
     puts("\n" PACKAGE_STRING " - " __DATE__ "\n");
     fputs(_(
-           "--interface=<if> (-i <if>): bind interface <if>\n"
-           "--srcip=<ip> (-s <ip>): source (real) IP address of that host\n"
-           "--vhid=<id> (-v <id>): virtual IP identifier (1-255)\n"
-           "--pass=<pass> (-p <pass>): password\n"
-           "--preempt (-P): becomes a master as soon as possible\n"
-           "--addr=<ip> (-a <ip>): virtual shared IP address\n"
-           "--help (-h): summary of command-line options\n"
-           "--advbase=<seconds> (-b <seconds>): advertisement frequency\n"
-           "--advskew=<skew> (-k <skew>): advertisement skew (0-255)\n"
-           "--upscript=<file> (-u <file>): run <file> to become a master\n"
-           "--downscript=<file> (-d <file>): run <file> to become a backup\n"
-           "--deadratio=<ratio> (-r <ratio>): ratio to consider a host as dead\n"
-           "--shutdown (-z): call shutdown script at exit\n"
-           "--daemonize (-B): run in background\n"
-           "--facility=<facility> (-f): set syslog facility (default=daemon)\n"
+           "--interface=<if>: bind interface <if>\n"
+           "--srcip=<ip>: source (real) IP address of that host\n"
+           "--vhid=<id>: virtual IP identifier (1-255)\n"
+           "--pass=<pass>: password\n"
+           "--preempt: becomes a master as soon as possible\n"
+           "--addr=<ip>: virtual shared IP address\n"
+           "--help: summary of command-line options\n"
+           "--advbase=<seconds>: advertisement frequency\n"
+           "--advskew=<skew>: advertisement skew (0-255)\n"
+           "--upscript=<file>: run <file> to become a master\n"
+           "--downscript=<file>: run <file> to become a backup\n"
+           "--deadratio=<ratio>: ratio to consider a host as dead\n"
+           "--shutdown: call shutdown script at exit\n"
+           "--daemonize: run in background\n"
+           "--facility=<facility>: set syslog facility (default=daemon)\n"
            "\n"
            "Sample usage:\n"
            "\n"
